## synaptics-touchpad 17.0.5.1stella3

=== opt/Synaptics/samples/TouchPadControl/Makefile ===
CC          = g++
CFLAGS      = -c -Wall
TARGET      = tpcontrol

INCLUDES    = \
            -I/opt/Synaptics/include
            #

SOURCES     = \
            main.cpp \
            TouchPadControl.cpp \
            TouchPadService.cpp \
            #

LIBPATHS    = \
            -L/opt/Synaptics/lib \
            #

LIBS        = \
            -lsyncom \
            -lsyntpapi \
            -lwx_gtk2u-2.8 \
            #

OBJECTS     = $(SOURCES:.cpp=.o)

all:        $(SOURCES) $(TARGET)

$(TARGET):  $(OBJECTS)
						$(CC) $(OBJECTS) $(LIBPATHS) $(LIBS) -o $(TARGET)

.cpp.o:
						$(CC) $(CFLAGS) $(INCLUDES) $< -o $@

clean:
						rm -rf $(OBJECTS) $(TARGET)

=== debian/changelog ===
synaptics-touchpad (17.0.5.1stella3) precise; urgency=low

  * Use debian/links instead of postinst

 -- Tammy Yang <tammy.yang@canonical.com>  Wed, 06 Nov 2013 18:41:19 +0800

synaptics-touchpad (17.0.5.1stella2) precise; urgency=low

  * Handle share libraries installation.

 -- Tammy Yang <tammy.yang@canonical.com>  Wed, 06 Nov 2013 18:12:40 +0800

synaptics-touchpad (17.0.5.1stella1) precise; urgency=low

  * Re-package and bump version.

 -- Tammy Yang <tammy.yang@canonical.com>  Wed, 06 Nov 2013 16:47:47 +0800

synaptics-touchpad (17.0.5.1) precise; urgency=low

  * VendorSource: synaptics-touchpad-17.0.5.1-ubuntu12-04-c-hpnewui.amd64.deb

 -- Tammy Yang <tammy.yang@canonical.com>  Fri, 18 Oct 2013 14:43:30 +0800

=== debian/control ===
Source: synaptics-touchpad
Section: non-free/misc
Priority: optional
Maintainer: Adam Wang <autobuild@linux.synaptics.com>
Build-Depends: debhelper
Vcs-Bzr: lp:~oem-solutions-group/stella-base/synaptics-touchpad
XBCS-Oem-Vendor: Synaptics

Package: synaptics-touchpad
Architecture: amd64
Depends: ${misc:Depends},
Description: Synaptics Commercial Driver Package

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_shlibdeps:
	@echo "override_dh_shlibdeps"
